Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_CORBA_TAO_Policy_Strategized_Proxy_Broker Class Reference

`#include <PolicyS.h>`

Inheritance diagram for POA_CORBA_TAO_Policy_Strategized_Proxy_Broker

[legend]
Collaboration diagram for POA_CORBA_TAO_Policy_Strategized_Proxy_Broker:

[legend]
List of all members.

## Public Methods
| POA_CORBA_TAO_Policy_Strategized_Proxy_Broker (void)
virtual | ~POA_CORBA_TAO_Policy_Strategized_Proxy_Broker (void)
virtual CORBA_TAO_Policy_Proxy_Impl& | select_proxy ( ::CORBA::Policy *object, CORBA_Environment &ACE_TRY_ENV )
## Static Public Methods
POA_CORBA_TAO_Policy_Strategized_Proxy_Broker* | the_TAO_Policy_Strategized_Proxy_Broker (void)
## Private Methods
void | create_proxy ( int collocation_strategy, CORBA::Environment &ACE_TRY_ENV )
## Private Attributes
CORBA_TAO_Policy_Proxy_Impl* | proxy_cache_ [TAO_Collocation_Strategies::CS_LAST]
TAO_SYNCH_MUTEX | mutex_

## Constructor & Destructor Documentation

POA_CORBA_TAO_Policy_Strategized_Proxy_Broker::POA_CORBA_TAO_Policy_Strategized_Proxy_Broker ( | void )

POA_CORBA_TAO_Policy_Strategized_Proxy_Broker::~POA_CORBA_TAO_Policy_Strategized_Proxy_Broker ( | void )`[virtual]`

## Member Function Documentation

void POA_CORBA_TAO_Policy_Strategized_Proxy_Broker::create_proxy ( | int strategy,
| CORBA::Environment & ACE_TRY_ENV )`[private]`

virtual CORBA_TAO_Policy_Proxy_Impl& POA_CORBA_TAO_Policy_Strategized_Proxy_Broker::select_proxy ( | ::CORBA::Policy * object,
| CORBA_Environment & ACE_TRY_ENV )`[virtual]`

POA_CORBA_TAO_Policy_Strategized_Proxy_Broker * POA_CORBA_TAO_Policy_Strategized_Proxy_Broker::the_TAO_Policy_Strategized_Proxy_Broker ( | void )`[static]`

## Member Data Documentation

TAO_SYNCH_MUTEX POA_CORBA_TAO_Policy_Strategized_Proxy_Broker::mutex_`[private]`

CORBA_TAO_Policy_Proxy_Impl * POA_CORBA_TAO_Policy_Strategized_Proxy_Broker::proxy_cache_[TAO_Collocation_Strategies::CS_LAST]`[private]`

The documentation for this class was generated from the following files:

- PolicyS.h
- PolicyS.cpp